{% extends 'base.html.twig' %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>
{% endblock %}
{% block body %}
    {% include "_header.html.twig" %}
    <style>
        .dz-image >img {
            width: 200px;
            height: auto;
        }
        .dz-details{
            display : none;
        }
        .dropzone .dz-preview .dz-image {
            border-radius: 5px;
            overflow: hidden;
            width: 200px;
            height: 160px;
            position: relative;
            display: block;
            z-index: 10;
        }
    </style>
    <div class="main-container">
        <div class="container">
            <div class="row">
                {% for label, messages in app.flashes %}

                    {% for message in messages %}
                        <div class="alert alert-{{ label }}" role="{{ label }}">
                            {{ message }}
                        </div>
                    {% endfor %}
                {% endfor %}
                <div class="col-md-9 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2 uppercase"> <i class="icon-docs"></i> Ajouter des photos pour l' annonce <strong> {{ title }}</strong></h2>
                        <div class="row">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <div data-balloon-length="large" data-balloon="Déposez vos photos ici ou cliquez pour télécharger." data-balloon-pos="up" class="dropzone my-dropzone" id="form_snippet_image" action="{{path('spare_photo_send', {'id':id})}}">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label" for="kilometrage"></label>
                                <div class="col-md-8">
                                </div>
                            </div>


                        </div>
                        <div class="footer-content text-left">
                            {#<a class="btn  btn-default" href="{{ path('spare_new') }}"> Passer aux suivant <i class="fa fa-chevron-right fa-1x"></i></a>#}
                            <a class="btn  btn-info" href="{{ path('spare_index') }}" style="float: right"><i class=" icon-check"></i> Terminer </a>
                        </div>
                    </div>
                </div>

                <div class="col-md-3 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="panel sidebar-panel">
                            <div class="panel-heading uppercase">
                                <small><strong>Comment Vendre Rapidement?</strong></small>
                            </div>
                            <div class="panel-content">
                                <div class="panel-body text-left">
                                    <ul class="list-check">
                                        <li> Utilisez un bref titre et une description de l'élément</li>
                                        <li> Assurez-vous de publier dans la bonne catégorie</li>
                                        <li> Ajoutez de belles photos à votre annonce</li>
                                        <li> Mettez un prix raisonnable</li>
                                        <li> Vérifiez l'annonce avant de la publier</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}


    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>



    <script type="text/javascript">


        //je récupère l'action où sera traité l'upload en PHP
        var _actionToDropZone = $("#formapp").attr('action');
        console.log("_actionToDropZone", _actionToDropZone);

        <!-- 3 -->
        var photo_counter = 0;
        Dropzone.options.realDropzone = {

            // The setting up of the dropzone
            init:function() {
                myDropzone = this;
                $.ajax({
                    url: "{{ path('get_uploaded_spare_photos') }}",
                    type: "POST",
                    dataType: "JSON",
                    data: {
                        id: '{{ app.request.get('id') }}'
                    },
                    success: function (data) {

                        $.each(data.photos, function(key,value){

                            console.log(value)
                            var mockFile = { name: value.name , size: 12345, accepted: true,
                                kind: 'image'};

                            myDropzone.options.addedfile.call(myDropzone, mockFile);

                            myDropzone.options.thumbnail.call(myDropzone, mockFile, "/uploads/applications/"+mockFile.name);
                            $("div.dz-details").remove()
                            $("div.dz-progress").remove()


                            myDropzone.on("removedfile", function(mockFile) {
                                // Request the models of the selected marque.

                                $.ajax({
                                    url: "{{ path('delete_uploaded_photo') }}",
                                    type: "POST",
                                    dataType: "JSON",
                                    data: {
                                        deleted_photo: mockFile.name
                                    },
                                    success: function (photo) {
                                        console.log(photo)



                                    },
                                    error: function (err) {
                                        console.log("An error occurred while deleted data ...");
                                    }
                                });

                            });


                        });
                        $('div.dz-default.dz-message >span').html("Déposez vos photos ici ou cliquez pour télécharger.");
                        $('div.dz-default.dz-message').show();
                    },
                    error: function (err) {
                        alert("Erreurs lors de téléchargement ...");
                    }
                });


            },
            queuecomplete:function(file, response)
            {
                BootstrapDialog.alert('L’annonce est modifiée avec success  !');




            }
            ,
            error: function(file, response) {
                if($.type(response) === "string")
                    var message = response; //dropzone sends it's own error messages in string
                else
                    var message = response.message;
                file.previewElement.classList.add("dz-error");
                _ref = file.previewElement.querySelectorAll("[data-dz-errormessage]");
                _results = [];
                for (_i = 0, _len = _ref.length; _i < _len; _i++) {
                    node = _ref[_i];
                    _results.push(node.textContent = message);
                }
                return _results;
            },
            success: function(file,done) {
                photo_counter++;
                $("#photoCounter").text( "(" + photo_counter + ")");
            }
        }

        Dropzone.options.realDropzone.init();


        //je définis ma zone de drop grâce à l'ID de ma div citée plus haut.
        Dropzone.autoDiscover = false;
        var myDropzone = new Dropzone("#form_snippet_image",
            {
                thumbnailWidth: "300",
                thumbnailHeight: "300",
                dictRemoveFileConfirmation : "Etes vous sûr de vouloir supprimer cette image ?",
                url: _actionToDropZone,
                addRemoveLinks: true,
                dictRemoveFile: "Supprimer",
                dictCancelUpload: "Annuler le téléchargement",
                thumbnailMethod : "contain",
                createImageThumbnails : true,
                thumbnailWidth : 500,
                clickable : true,



                queuecomplete:function(file, response)
                {

                }

            });


        myDropzone.on("addedfile", function(file) {
            $('div.dz-size').remove();
            $('div.dz-filename').remove()
            file.previewElement.addEventListener("click", function() {

                console.log(file.upload)
                myDropzone.removeFile(file);
                // Request the models of the selected marque.
                $.ajax({
                    url: "{{ path('delete_uploaded_photo') }}",
                    type: "POST",
                    dataType: "JSON",
                    data: {
                        deleted_photo: file.upload['filename']
                    },
                    success: function (photo) {



                        console.log(photo)
                    },
                    error: function (err) {
                        alert("An error ocurred while deleted data ...");
                    }
                });
            });
        });
        $('div.dz-default.dz-message >span').html("Déposez vos photos ici ou cliquez pour télécharger.");


    </script>
{% endblock %}